/********************************************************************************
 * Copyright (c) 2023 CEA-List
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0.
 *
 * SPDX-License-Identifier: EPL-2.0
 *
 ********************************************************************************/


#ifndef AIDGE_RANDOM_H_
#define AIDGE_RANDOM_H_


#include <algorithm>
#include <vector>
#include <random>

namespace Random {

    void randShuffle(std::vector<unsigned int>& vec) {
        std::random_device rd;
        std::mt19937 g(rd());
        std::shuffle(vec.begin(), vec.end(), g);
    }

}

#endif //AIDGE_RANDOM_H_